## ros-indigo-pr2-dense-laser-snapshotter 1.0.9

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_dense_laser_snapshotter)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS dense_laser_assembler pr2_msgs)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
catkin_package(
    DEPENDS 
    CATKIN_DEPENDS pr2_msgs dense_laser_assembler# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

add_executable(dense_laser_snapshotter src/dense_laser_snapshotter.cpp)
target_link_libraries(dense_laser_snapshotter ${catkin_LIBRARIES})
add_dependencies(dense_laser_snapshotter ${catkin_EXPORTED_TARGETS} dense_laser_assembler_gencpp )

=== debian/changelog ===
ros-indigo-pr2-dense-laser-snapshotter (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:33 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.7-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.5-0trusty) trusty; urgency=high

  * Removed mainpage.dox for *
  * Fixed pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.3-0trusty) trusty; urgency=high

  * Added lib export for pr2_laser_snapshotter
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-pr2-dense-laser-snapshotter (1.0.1-0trusty) trusty; urgency=high

  * Added hydro devel, compiles and makes in hydro
  * removedc makefil
  * catkinization of pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-dense-laser-snapshotter
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dense-laser-assembler, ros-indigo-pr2-msgs
Homepage: http://www.ros.org/wiki/pr2_dense_laser_snapshotter
Standards-Version: 3.9.2

Package: ros-indigo-pr2-dense-laser-snapshotter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dense-laser-assembler, ros-indigo-pr2-msgs
Description: Stores the data from a series of laser scan messages in a dense representation, allowing users to easily perform image-like operations on intensity or range data.
 This package is experimental. Expect APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-dense-laser-snapshotter//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
